const Sequelize = require("sequelize");
const db = require("../../db");

module.exports = db.sequelize.define("shops", {
  id: {
    type: Sequelize.INTEGER,
    primaryKey: true,
    autoIncrement: true
  },

  name: {
    type: Sequelize.INTEGER
  },
  timeopen: {
    type: Sequelize.STRING
  },
  timeclose: {
    type: Sequelize.STRING
  },
  address: {
    type: Sequelize.TEXT
  },
  tel: {
    type: Sequelize.STRING
  },
  detail: {
    type: Sequelize.TEXT
  },
  map: {
    type: Sequelize.TEXT
  },
  facebook: {
    type: Sequelize.TEXT
  },
  type: {
    type: Sequelize.ENUM(
      "สปาและนวด",
      "ผิวหน้า",
      "ขนตาและคิ้ว",
      "ทำเล็บ",
      "ชาลอน",
      "แต่งหน้าทำผม"
    )
  }
});
